Mailinglist Archive: opensuse-factory (437 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20150406 released!
Changed packages:

==== atmel-firmware ====

- Use url for source

==== bluez ====
Version update (5.28 -> 5.30)
Subpackages: bluez-cups bluez-devel libbluetooth3

- update to version 5.30
The highlight of this release is the completion of the GATT D-Bus
APIs. We?ve now got both the client and server functionality in
place, however it?s still behind the -E (--experimental) command
line switch. The API is documented in doc/gatt-api.txt and there
are several test tools for it in the tree (even bluetoothctl has
support for it). Another new (and still experimental) D-Bus API
that debuts with this release is one for managing LE Advertising,
i.e. acting in peripheral role. The API is documented in
doc/advertising-api.txt.
Besides the new features, there are several fixes to AVCTP, AVDTP
& AVRCP. There?s also a fix for C++ compiler compatibility with
the library headers as well as a fix for device information not
being stored in certain corner cases.
- add bluez-5.30-disable-broken-tests.diff to fix test suite
- remove -fstack-reuse=none workaround
- remove 20150312-PATCH_BlueZ_shared_gatt-client_Fix_invalid_read-56974.patch
- Build the testsuite with -fstack-reuse=none to workaround broken
test setup. [bnc#923768]
- update to version 5.29
This is a comparatively large release with over a month and 475
commits since 5.28. There have been lots of fixes to the Android
side. Our internal GATT library (used both by ?normal? BlueZ as
well as the Android version) received lots of updates for this
release. Other notable changes are a fix for AVCTP key repeat
timeout as well as added support for the Multi Profile
Specification (MPS).
- add 20150312-PATCH_BlueZ_shared_gatt-client_Fix_invalid_read-56974.patch
from bluez-devel for fixing test case failure (will be included in
next bluez release)

==== dos2unix ====
Version update (7.2 -> 7.2.1)

- Update to 7.2.1
* Fix: Skip the GB18030 tests when the system does not support the
Chinese locale with GB18030 character encoding.
* Fix: Small corrections in the manual in section GB18030 and OPTIONS -m.

==== farstream-data ====
Subpackages: gstreamer-plugins-farstream libfarstream-0_2-5

- Add farstream-plugin-path.patch: use library policy compliant
path name for plugin.

==== flac ====
Subpackages: flac-devel libFLAC++6 libFLAC8 libFLAC8-32bit

- Build documentation as noarch

==== gperf ====

- Add gpg signature
- Correct info requirements
- Cleanup spec file with spec-cleaner

==== ibus ====
Subpackages: ibus-branding-openSUSE-KDE ibus-gtk ibus-gtk-32bit ibus-gtk3
libibus-1_0-5 libibus-1_0-5-32bit python-ibus typelib-1_0-IBus-1_0

- Fix boo#924696: settings of ibus engines are not saved
* Remove inappropriate %ghost from the dconf files
- Disable appindicator for 13.1
* It requires Qt 5.3 to show icons specified by absolute path

==== iw ====
Version update (3.17 -> 4.0)

- Update to version 4.0
* Support all new kernel features upto 4.0
- Cleanup spec file with spec-cleaner
- User url for source

==== k3b ====

- Remove unnecessary Requires: cdparanoia-devel, this was added
as a workaround for a bug in the 2.0.80git version (kde#328769),
but this is long fixed and never was present in the stable 2.0
branch anyway

==== kbd ====

- Regenerate the initrd if this package changes as it is
included there for early console setup.

==== kmod ====
Subpackages: kmod-compat libkmod2

- If kmod packge changes, regenerate the initrd.

==== libkolab0 ====
Version update (0.5.3 -> 0.6.0)

- Add upstream patch:
+ libkolab-0.6.0_check_for_generic_tag.patch
Make libkolab compile with upstream kdepimlibs where GENERIC
tags are not yet included.
- New upstream release 0.6.0
- Added upstream patches:
+ 0001-Add-support-for-exceptions.patch
Add support to read/write exceptions to iCal
+ 0002-Support-for-THISANDFUTURE.patch
Add support to convert ThisAndFuture from and to iCal
+ 0003-Move-QT_DECLARE_METADATA-logic-to-cmake.patch
Fix double declaration of KCalCore::Duration when building with
libcalendaring >= 4.9.1
- Add %bcond_with tests to enable %check section when required
- Convert %with_kde to %bcond_without kde

==== libkolabxml1 ====
Version update (1.0.3 -> 1.1.0)

- New upstream release 1.1.0
- Drop patch (upstream inclusion):
- libkolabxml-1.0.3_make_version_attribute_not_a_fixed_value.patch
- Add libkolabxml-1.0.3_make_version_attribute_not_a_fixed_value.patch:
Instead of a fixed value, we only use a default value.
Fixes problems where objects created with version string '3.0dev'
can not be fetched/displayed.
- Convert %with_java to %bcond_without java
- Allow building without mono bindings

==== libreoffice ====
Version update (4.4.1.2 -> 4.4.2.2)
Subpackages: libreoffice-base libreoffice-base-drivers-mysql libreoffice-calc
libreoffice-calc-extensions libreoffice-draw libreoffice-filters-optional
libreoffice-gnome libreoffice-icon-theme-galaxy
libreoffice-icon-theme-hicontrast libreoffice-icon-theme-oxygen
libreoffice-icon-theme-sifr libreoffice-icon-theme-tango libreoffice-impress
libreoffice-kde4 libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de
libreoffice-l10n-el libreoffice-l10n-en libreoffice-l10n-es libreoffice-l10n-fr
libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-ru libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-writer libreoffice-writer-extensions

- Version bump to 4.4.2:
* 2nd bugfix update for the 4.4 series
- BuildRequires: libodfgen-devel >= 0.1
- added version numbers to some BuildRequires lines
- build does not require python3-lxml
- build requires librevenge-devel >= 0.0.1
- vlc media backend is broken, don't use it. Only gstreamer should be used.

==== libzypp ====
Version update (14.38.0 -> 14.38.1)

- Fixes to build with gcc5
- RepoProvideFile: Suppress MediaChangeReport while testing
multiple baseurls (bnc#899510)
- version 14.38.1 (30)

==== libmutter0 ====
Subpackages: mutter mutter-data typelib-1_0-Meta-3_0

- Change from simple %defines to %bcond_with/without, as this
allows to be set in prjconf without the need to patch the .spec
files.
+ build_wayland has been replaced with the equivalent
%bcond_with, resp. %bcond_without, based on the value that was
originally set, resulting in no change for the build.

==== shotwell ====
Version update (0.21.0 -> 0.22.0)

- Update to version 0.22.0:
+ Improved metadata support for Facebook upload (bgo#742163).
+ Saved search now properly supports text is-set, not-set
(bgo#743924, bgo#743923).
+ Import title, exposure time when available.
+ User interface improvements (bgo#744291, bgo#719284, more).
+ Sort photos by filename (bgo#717878).
+ Updated translations.

==== valgrind ====
Version update (3.10.0 -> 3.10.1)
Subpackages: valgrind-devel

- Cleanup spec file with spec-cleaner
- Update to 3.10.1
* bugfix release (for full list of solved issues see NEWS file)

==== xfce4-vala ====

- Add support for vala 0.28 in Factory

==== yast2-ruby-bindings ====
Version update (3.1.30 -> 3.1.31)

- Added new RSpec argument matcher: path_matching
- 3.1.31

==== libnis1 ====
Version update (3.0.1 -> 3.3)
Subpackages: yp-tools

- Revert changes from Dec 4th and 6th, most of them were wrong.
- Update to version 3.3:
- fix some linking issues
- add yp_dump_binding
- Fix file descriptor leak in libnis
- Fix wrong fallback for binding files in libnis
- Fix link order
- Implement locking for multithreaded applications

==== zypper ====
Version update (1.11.23 -> 1.11.24)
Subpackages: zypper-aptitude zypper-log

- Update zypper-po.tar.bz2
- Update zypper-po.tar.bz2
- Update zypper-po.tar.bz2
- Update zypper-po.tar.bz2
- suppress MediaChangeReport while testing multiple baseurls (bnc#899510)
- allow repo:package to reinstall from a different repo (bnc#725867)
- fix wrong description of --force-resolution defaults
- version 1.11.24
- Update zypper-po.tar.bz2




Removed packages:



Added packages:

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups